Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1799136 - VirtualGL: FTBFS in Fedora rawhide/f32
Summary: VirtualGL: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: VirtualGL
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gary Gatling
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 15:54 UTC by Fedora Release Engineering
Modified: 2021-01-27 02:38 UTC (History)
2 users (show)

Fixed In Version: VirtualGL-2.6.3-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-17 16:49:53 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 15:54 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 15:54 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 15:54 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 15:54:31 UTC
VirtualGL failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41315664


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix VirtualGL at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
VirtualGL will be orphaned. Before branching of Fedora 33,
VirtualGL will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 15:54:37 UTC
Created attachment 1658372 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 15:54:41 UTC
Created attachment 1658373 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 15:54:42 UTC
Created attachment 1658374 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 17:16:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:33:18 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Gary Gatling 2020-02-28 21:16:56 UTC
A patch is needed for the newer mesa library. I have borrowed a patch from the archlinux distribution package with minor changes. Still working through testing.

Comment 7 Raphael Groner 2021-01-17 16:28:41 UTC
Ping. Any news here? Maybe I can help through testing with the mentioned mesa patch.
F32 will be EOL'ed shortly and this bug reported against F32 is in danger to get closed. Please be also aware about F33 FTBS bug #1863126.

Comment 8 Gary Gatling 2021-01-17 16:32:48 UTC
I'm sorry I don't see the patch. I think there is a problem with cmake. Any help appreciated.

Comment 9 Raphael Groner 2021-01-17 16:42:02 UTC
(In reply to Gary Gatling from comment #8)
> I'm sorry I don't see the patch.

Reference for a guessed patch is your comment #6.

> I think there is a problem with cmake. Any
> help appreciated.

What error? Can you show log?

Comment 10 Gary Gatling 2021-01-17 16:45:50 UTC
I'd like to try to fix this if I can. I made a rpm for version 2.6.3. I could upload it but it won't build in mock on rawhide. Let me copy the output and the spec file so you could look at it. If you can help me troubleshoot what I'm doing wrong that would be so helpful. It works in fedora 32 I think but not fedora 33 or rawhide. Let me get that ready.

Comment 11 Raphael Groner 2021-01-17 16:49:53 UTC

*** This bug has been marked as a duplicate of bug 1863126 ***

Comment 12 Fedora Update System 2021-01-18 18:19:04 UTC
FEDORA-2021-933f5bd7b8 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-933f5bd7b8

Comment 13 Fedora Update System 2021-01-19 01:38:00 UTC
FEDORA-2021-933f5bd7b8 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-933f5bd7b8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-933f5bd7b8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-01-27 02:38:38 UTC
FEDORA-2021-933f5bd7b8 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.